## ros-galactic-rplidar-ros 2.1.0

=== debian/changelog ===
ros-galactic-rplidar-ros (2.1.0-1focal) focal; urgency=high

  * Add auto standby mode (#29 <https://github.com/allenh1/rplidar_ros/issues/29>)
    * Add auto standby mode
    Turn on/off motor based on topic subsribers
    * Set auto_standby off by default
  * Fix building on Apple machines (#30 <https://github.com/allenh1/rplidar_ros/issues/30>)
  * Update README & fix launch files for Foxy and up (#26 <https://github.com/allenh1/rplidar_ros/issues/26>)
    * Update README.md
    based on modifications from youngday
    * Update launch files for Foxy or later
  * Contributors: Jesse Zhang, Vasily Kiniv

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Tue, 06 Sep 2022 04:00:00 -0000

ros-galactic-rplidar-ros (2.0.3-1focal) focal; urgency=high

  * Fix build with later versions of GCC
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Thu, 01 Sep 2022 04:00:00 -0000

ros-galactic-rplidar-ros (2.0.2-1focal) focal; urgency=high

  * Remove test_rplidar.launch.py, since relevant executables no longer exist (#24 <https://github.com/allenh1/rplidar_ros/issues/24>)
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Thu, 27 May 2021 04:00:00 -0000

ros-galactic-rplidar-ros (2.0.1-1focal) focal; urgency=high

  * Remove old driver (#21 <https://github.com/allenh1/rplidar_ros/issues/21>)
    * Remove old rplidar driver in favor of the component version
    * Lint the source
  * Fix incompatibilities with slam_toolbox (#20 <https://github.com/allenh1/rplidar_ros/issues/20>)
    * Fix incompatibilities with slam_toolbox:
    - Fix angle compensate mode to publish angle compensated values
    - Fix angle_increment calculation
    - Add optional flip_x_axis option to deal with issue discussed here: https://github.com/SteveMacenski/slam_toolbox/issues/198.  Flip x-axis can be used when laser is mounted with motor behind it as rotated TF laser frame doesn't seem to work with slam_toolbox.
    * Fix whitespace
  * Fix node count for component implementation (#19 <https://github.com/allenh1/rplidar_ros/issues/19>)
  * Slam Toolbox compatibility (#18 <https://github.com/allenh1/rplidar_ros/issues/18>)
    (cherry picked from commit f21079fea8eca8946b5b4ae72f50b8d9f1ac46a2)
  * Fix building with GCC 10 (#17 <https://github.com/allenh1/rplidar_ros/issues/17>)
  * Contributors: Christen Lofland, Hunter L. Allen, justinIRBT

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Sun, 13 Sep 2020 04:00:00 -0000

ros-galactic-rplidar-ros (2.0.0-1focal) focal; urgency=high

  * Update SDK to Version 0.12.0 (#14 <https://github.com/allenh1/rplidar_ros/issues/14>)
    * Register the rclcpp component
    * Update RPLIDAR SDK to version 1.12.0
  * Update ROS 2 parameters and use node's clock instance (#9 <https://github.com/allenh1/rplidar_ros/issues/9>)
    * Update ROS 2 parameters and use node's clock instance
    * Fix scan_mode listing output
    * Stop motors and exit when set_scan_mode() call fails
  * Fix compilation with eloquent (#6 <https://github.com/allenh1/rplidar_ros/issues/6>)
  * Use Composition node with launch files (#4 <https://github.com/allenh1/rplidar_ros/issues/4>)
  * Composable nodes (#3 <https://github.com/allenh1/rplidar_ros/issues/3>)
    * Begin implementation of composable rplidar_ros::rplidar_node
    * Declare composition node library in CMake, as well as continue the port
    * Get to a compiling state
    * Add start/stop motor callbacks + more driver setup
    * Add publish loop for scans
    * Add composition node
    * Lint
  * Port rviz and launch files to ROS2 (#2 <https://github.com/allenh1/rplidar_ros/issues/2>)
    * Port non-rviz launch files to ROS2
    * Compatibility with rviz2
    * revert whitespace changes
    * Port the remaining launch files to ROS2
    * Revert more whitespace changes
    * Fix luanch and rviz install path indent level
  * Ros2 port (#1 <https://github.com/allenh1/rplidar_ros/issues/1>)
    ROS 2 port
    * Port CMakeLists.txt
    * Port package.xml
    * Port client.cpp
    * Port node.cpp
    Fix compilation
  * Support TCP
  * upgrade sdk 1.10.0
  * upgrade sdk 1.9.0
    [new feature] support baudrate 57600 and 1382400, support HQ scan response
    [bugfix] TCP channel doesn't work
    [improvement] Print warning messages when deprecated APIs are called; imporve angular accuracy for ultra capsuled scan points
  * [bugfix]modify scan_mode at test_rplidar.launch and test_rplidar_a3.launch
  * Contributors: Dan Rose, Hunter L. Allen, WubinXia, kint

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Wed, 15 Jul 2020 04:00:00 -0000

ros-galactic-rplidar-ros (1.10.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.10.0
  * [new feature] support Rplidar S1
  * Contributors: tony,WubinXia

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Fri, 22 Feb 2019 05:00:00 -0000

ros-galactic-rplidar-ros (1.9.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.9.0
  * [new feature] support baudrate 57600 and 1382400, support HQ scan response
  * [bugfix] TCP channel doesn't work
  * [improvement] Print warning messages when deprecated APIs are called; imporve angular accuracy for ultra capsuled scan points
  * Contributors: tony,kint

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Fri, 24 Aug 2018 04:00:00 -0000

ros-galactic-rplidar-ros (1.7.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.7.0
  * support scan points farther than 16.38m
  * upport display and set scan mode
  * Contributors: kint

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Thu, 19 Jul 2018 04:00:00 -0000

ros-galactic-rplidar-ros (1.6.0-1focal) focal; urgency=high

  * Release 1.6.0.
  * Update RPLIDAR SDK to 1.6.0
  * Support new product RPLIDAR A3(default 16K model and max_distance 25m)
  * Contributors: kint

 -- Hunter L. Allen <hunterlallen@protonmail.com>  Mon, 21 May 2018 04:00:00 -0000

ros-galactic-rplidar-ros (1.5.7-1focal) focal; urgency=high

  * Release 1.5.7.

